
input {
	outline: none;
}

input::-webkit-search-decoration,
input::-webkit-search-cancel-button {
    display: none;
}

input[type=search] {
    -webkit-appearance: textfield;
    -webkit-box-sizing: content-box;
    -webkit-box-align: left;
    font-family: inherit;
    font-size: 100%;
}

.fa-search {
    position: relative;
    z-index: 1;
    color:white;
    right: 5px;
}

.searchform input[type=search] {

    position: relative;
    background: #fff;
    border: none;
    z-index: 2;
    width: 40px;
    cursor: pointer;
    margin: 2px 2px 2px 10px;
    line-height: 15px;
    right: 5px;

    -webkit-text-fill-color: transparent;
    -webkit-text-stroke-color: transparent;

    -webkit-border-radius: 10em;
    -moz-border-radius: 10em;
    border-radius: 10em;

    -webkit-transition: all .5s;
    -moz-transition: all .5s;
    transition: all .5s;
}

.searchform input[type=search]:focus {
    width: 130px;
    padding-left: 10px;
    background-color: #fff;
    cursor: auto;
    color:grey;

    -webkit-text-fill-color: grey;
}

@media (max-width: 767px){
    .searchform input[type=search] {
        position: relative;
        left: 0; 
        line-height: 22px;
        margin: 0 0 10px 15px;
        padding: 0 0 0 50px;
        background-color: #fff;
        width: 30px;
    }  
    .searchform input[type=search] {
        -webkit-box-align: left;
    }    
    .fa {
        display: none;
    }
    
}
